Security Lab

PHP-инклюдинг в Claroline

Дата публикации:18.09.2006
Всего просмотров:3038
Опасность:
Высокая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: Claroline 1.x
Уязвимые версии: Claroline 1.7.7, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "extAuthSource['newUser']" в сценарии inc/claro_init_local.inc.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: www.claroline.net

Решение: Установите последнюю версию (1.7.8) с сайта производителя.

Ссылки: Claroline Arbitrary File Inclusion